Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.openal
Class OggData

    java.lang.Object
      org.newdawn.slick.openal.OggData

    public class OggData

extends java.lang.Object

Data describing the sounds in a OGG file

Author:
  Kevin Glass

Field Summary
`int` | `channels` The number of channels in the sound file
`java.nio.ByteBuffer` | `data` The data that has been read from the OGG file
`int` | `rate` The sampling rate

Constructor Summary
`OggData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public java.nio.ByteBuffer data

  The data that has been read from the OGG file

### rate

    public int rate

  The sampling rate

### channels

    public int channels

  The number of channels in the sound file

Constructor Detail

### OggData

    public OggData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.